//line php5/php5.y:2
package php5

import __yyfmt__ "fmt"

//line php5/php5.y:2
import (
	//    "strings"
	//    "strconv"

	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/name"
	"github.com/z7zmey/php-parser/node/scalar"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/token"

//    "github.com/z7zmey/php-parser/node/expr/assign_op"
//    "github.com/z7zmey/php-parser/node/expr/binary_op"
//    "github.com/z7zmey/php-parser/node/expr/cast"
)

//line php5/php5.y:21
type yySymType struct {
	yys   int
	node  node.Node
	token token.Token
	//    boolWithToken boolWithToken
	list []node.Node
	//    foreachVariable foreachVariable
	//    nodesWithEndToken *nodesWithEndToken
	//    str string
}

const T_INCLUDE = 57346
const T_INCLUDE_ONCE = 57347
const T_EXIT = 57348
const T_IF = 57349
const T_LNUMBER = 57350
const T_DNUMBER = 57351
const T_STRING = 57352
const T_STRING_VARNAME = 57353
const T_VARIABLE = 57354
const T_NUM_STRING = 57355
const T_INLINE_HTML = 57356
const T_CHARACTER = 57357
const T_BAD_CHARACTER = 57358
const T_ENCAPSED_AND_WHITESPACE = 57359
const T_CONSTANT_ENCAPSED_STRING = 57360
const T_ECHO = 57361
const T_DO = 57362
const T_WHILE = 57363
const T_ENDWHILE = 57364
const T_FOR = 57365
const T_ENDFOR = 57366
const T_FOREACH = 57367
const T_ENDFOREACH = 57368
const T_DECLARE = 57369
const T_ENDDECLARE = 57370
const T_AS = 57371
const T_SWITCH = 57372
const T_ENDSWITCH = 57373
const T_CASE = 57374
const T_DEFAULT = 57375
const T_BREAK = 57376
const T_CONTINUE = 57377
const T_GOTO = 57378
const T_FUNCTION = 57379
const T_CONST = 57380
const T_RETURN = 57381
const T_TRY = 57382
const T_CATCH = 57383
const T_FINALLY = 57384
const T_THROW = 57385
const T_USE = 57386
const T_INSTEADOF = 57387
const T_GLOBAL = 57388
const T_VAR = 57389
const T_UNSET = 57390
const T_ISSET = 57391
const T_EMPTY = 57392
const T_HALT_COMPILER = 57393
const T_CLASS = 57394
const T_TRAIT = 57395
const T_INTERFACE = 57396
const T_EXTENDS = 57397
const T_IMPLEMENTS = 57398
const T_OBJECT_OPERATOR = 57399
const T_DOUBLE_ARROW = 57400
const T_LIST = 57401
const T_ARRAY = 57402
const T_CALLABLE = 57403
const T_CLASS_C = 57404
const T_TRAIT_C = 57405
const T_METHOD_C = 57406
const T_FUNC_C = 57407
const T_LINE = 57408
const T_FILE = 57409
const T_COMMENT = 57410
const T_DOC_COMMENT = 57411
const T_OPEN_TAG = 57412
const T_OPEN_TAG_WITH_ECHO = 57413
const T_CLOSE_TAG = 57414
const T_WHITESPACE = 57415
const T_START_HEREDOC = 57416
const T_END_HEREDOC = 57417
const T_DOLLAR_OPEN_CURLY_BRACES = 57418
const T_CURLY_OPEN = 57419
const T_PAAMAYIM_NEKUDOTAYIM = 57420
const T_NAMESPACE = 57421
const T_NS_C = 57422
const T_DIR = 57423
const T_NS_SEPARATOR = 57424
const T_ELLIPSIS = 57425
const T_EVAL = 57426
const T_REQUIRE = 57427
const T_REQUIRE_ONCE = 57428
const T_LOGICAL_OR = 57429
const T_LOGICAL_XOR = 57430
const T_LOGICAL_AND = 57431
const T_INSTANCEOF = 57432
const T_NEW = 57433
const T_CLONE = 57434
const T_ELSEIF = 57435
const T_ELSE = 57436
const T_ENDIF = 57437
const T_PRINT = 57438
const T_YIELD = 57439
const T_STATIC = 57440
const T_ABSTRACT = 57441
const T_FINAL = 57442
const T_PRIVATE = 57443
const T_PROTECTED = 57444
const T_PUBLIC = 57445
const T_INC = 57446
const T_DEC = 57447
const T_YIELD_FROM = 57448
const T_INT_CAST = 57449
const T_DOUBLE_CAST = 57450
const T_STRING_CAST = 57451
const T_ARRAY_CAST = 57452
const T_OBJECT_CAST = 57453
const T_BOOL_CAST = 57454
const T_UNSET_CAST = 57455
const T_COALESCE = 57456
const T_SPACESHIP = 57457
const T_NOELSE = 57458
const T_PLUS_EQUAL = 57459
const T_MINUS_EQUAL = 57460
const T_MUL_EQUAL = 57461
const T_DIV_EQUAL = 57462
const T_CONCAT_EQUAL = 57463
const T_MOD_EQUAL = 57464
const T_AND_EQUAL = 57465
const T_OR_EQUAL = 57466
const T_XOR_EQUAL = 57467
const T_SL_EQUAL = 57468
const T_SR_EQUAL = 57469
const T_POW_EQUAL = 57470
const T_BOOLEAN_OR = 57471
const T_BOOLEAN_AND = 57472
const T_IS_EQUAL = 57473
const T_IS_NOT_EQUAL = 57474
const T_IS_IDENTICAL = 57475
const T_IS_NOT_IDENTICAL = 57476
const T_IS_SMALLER_OR_EQUAL = 57477
const T_IS_GREATER_OR_EQUAL = 57478
const T_SL = 57479
const T_SR = 57480
const T_POW = 57481

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"T_INCLUDE",
	"T_INCLUDE_ONCE",
	"T_EXIT",
	"T_IF",
	"T_LNUMBER",
	"T_DNUMBER",
	"T_STRING",
	"T_STRING_VARNAME",
	"T_VARIABLE",
	"T_NUM_STRING",
	"T_INLINE_HTML",
	"T_CHARACTER",
	"T_BAD_CHARACTER",
	"T_ENCAPSED_AND_WHITESPACE",
	"T_CONSTANT_ENCAPSED_STRING",
	"T_ECHO",
	"T_DO",
	"T_WHILE",
	"T_ENDWHILE",
	"T_FOR",
	"T_ENDFOR",
	"T_FOREACH",
	"T_ENDFOREACH",
	"T_DECLARE",
	"T_ENDDECLARE",
	"T_AS",
	"T_SWITCH",
	"T_ENDSWITCH",
	"T_CASE",
	"T_DEFAULT",
	"T_BREAK",
	"T_CONTINUE",
	"T_GOTO",
	"T_FUNCTION",
	"T_CONST",
	"T_RETURN",
	"T_TRY",
	"T_CATCH",
	"T_FINALLY",
	"T_THROW",
	"T_USE",
	"T_INSTEADOF",
	"T_GLOBAL",
	"T_VAR",
	"T_UNSET",
	"T_ISSET",
	"T_EMPTY",
	"T_HALT_COMPILER",
	"T_CLASS",
	"T_TRAIT",
	"T_INTERFACE",
	"T_EXTENDS",
	"T_IMPLEMENTS",
	"T_OBJECT_OPERATOR",
	"T_DOUBLE_ARROW",
	"T_LIST",
	"T_ARRAY",
	"T_CALLABLE",
	"T_CLASS_C",
	"T_TRAIT_C",
	"T_METHOD_C",
	"T_FUNC_C",
	"T_LINE",
	"T_FILE",
	"T_COMMENT",
	"T_DOC_COMMENT",
	"T_OPEN_TAG",
	"T_OPEN_TAG_WITH_ECHO",
	"T_CLOSE_TAG",
	"T_WHITESPACE",
	"T_START_HEREDOC",
	"T_END_HEREDOC",
	"T_DOLLAR_OPEN_CURLY_BRACES",
	"T_CURLY_OPEN",
	"T_PAAMAYIM_NEKUDOTAYIM",
	"T_NAMESPACE",
	"T_NS_C",
	"T_DIR",
	"T_NS_SEPARATOR",
	"T_ELLIPSIS",
	"T_EVAL",
	"T_REQUIRE",
	"T_REQUIRE_ONCE",
	"T_LOGICAL_OR",
	"T_LOGICAL_XOR",
	"T_LOGICAL_AND",
	"T_INSTANCEOF",
	"T_NEW",
	"T_CLONE",
	"T_ELSEIF",
	"T_ELSE",
	"T_ENDIF",
	"T_PRINT",
	"T_YIELD",
	"T_STATIC",
	"T_ABSTRACT",
	"T_FINAL",
	"T_PRIVATE",
	"T_PROTECTED",
	"T_PUBLIC",
	"T_INC",
	"T_DEC",
	"T_YIELD_FROM",
	"T_INT_CAST",
	"T_DOUBLE_CAST",
	"T_STRING_CAST",
	"T_ARRAY_CAST",
	"T_OBJECT_CAST",
	"T_BOOL_CAST",
	"T_UNSET_CAST",
	"T_COALESCE",
	"T_SPACESHIP",
	"T_NOELSE",
	"'\"'",
	"'`'",
	"'{'",
	"'}'",
	"';'",
	"':'",
	"'('",
	"')'",
	"'['",
	"']'",
	"'?'",
	"'&'",
	"'-'",
	"'+'",
	"'!'",
	"'~'",
	"'@'",
	"'$'",
	"','",
	"'='",
	"T_PLUS_EQUAL",
	"T_MINUS_EQUAL",
	"T_MUL_EQUAL",
	"T_DIV_EQUAL",
	"T_CONCAT_EQUAL",
	"T_MOD_EQUAL",
	"T_AND_EQUAL",
	"T_OR_EQUAL",
	"T_XOR_EQUAL",
	"T_SL_EQUAL",
	"T_SR_EQUAL",
	"T_POW_EQUAL",
	"T_BOOLEAN_OR",
	"T_BOOLEAN_AND",
	"'|'",
	"'^'",
	"T_IS_EQUAL",
	"T_IS_NOT_EQUAL",
	"T_IS_IDENTICAL",
	"T_IS_NOT_IDENTICAL",
	"'<'",
	"T_IS_SMALLER_OR_EQUAL",
	"'>'",
	"T_IS_GREATER_OR_EQUAL",
	"T_SL",
	"T_SR",
	"'.'",
	"'*'",
	"'/'",
	"'%'",
	"T_POW",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line php5/php5.y:1560

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 50,
	104, 496,
	105, 496,
	-2, 494,
	-1, 99,
	125, 518,
	-2, 522,
	-1, 101,
	78, 391,
	123, 374,
	-2, 472,
	-1, 113,
	78, 516,
	123, 512,
	-2, 523,
	-1, 153,
	104, 496,
	105, 496,
	-2, 494,
	-1, 203,
	121, 357,
	124, 357,
	-2, 491,
	-1, 204,
	104, 496,
	105, 496,
	121, 358,
	124, 358,
	-2, 494,
	-1, 227,
	123, 374,
	-2, 391,
	-1, 270,
	78, 516,
	-2, 523,
	-1, 296,
	78, 393,
	123, 378,
	-2, 474,
	-1, 300,
	123, 513,
	-2, 524,
	-1, 309,
	78, 392,
	123, 376,
	-2, 473,
	-1, 366,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 318,
	-1, 367,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 319,
	-1, 368,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 320,
	-1, 369,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 321,
	-1, 370,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 322,
	-1, 371,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 323,
	-1, 372,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 324,
	-1, 373,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 325,
	-1, 380,
	104, 496,
	105, 496,
	-2, 494,
	-1, 408,
	123, 378,
	-2, 393,
	-1, 438,
	104, 496,
	105, 496,
	124, 583,
	135, 583,
	-2, 494,
	-1, 439,
	124, 584,
	135, 584,
	-2, 491,
	-1, 440,
	104, 496,
	105, 496,
	-2, 494,
	-1, 462,
	123, 382,
	-2, 514,
	-1, 463,
	123, 538,
	-2, 585,
	-1, 471,
	123, 386,
	-2, 515,
	-1, 472,
	123, 538,
	-2, 586,
	-1, 495,
	78, 391,
	-2, 430,
	-1, 540,
	124, 174,
	-2, 179,
	-1, 548,
	121, 359,
	124, 359,
	-2, 491,
	-1, 549,
	104, 496,
	105, 496,
	121, 360,
	124, 360,
	-2, 494,
	-1, 556,
	123, 376,
	-2, 392,
	-1, 558,
	57, 266,
	125, 266,
	-2, 265,
	-1, 594,
	124, 188,
	135, 188,
	-2, 491,
	-1, 595,
	104, 496,
	105, 496,
	124, 189,
	135, 189,
	-2, 494,
	-1, 646,
	78, 393,
	-2, 432,
	-1, 672,
	124, 174,
	-2, 179,
	-1, 683,
	124, 174,
	-2, 179,
	-1, 709,
	123, 507,
	-2, 511,
	-1, 748,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 458,
	-1, 749,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 459,
	-1, 750,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 460,
	-1, 751,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 461,
	-1, 752,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 462,
	-1, 753,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 463,
	-1, 754,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 464,
	-1, 755,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 465,
	-1, 758,
	78, 392,
	-2, 431,
	-1, 808,
	57, 261,
	-2, 263,
	-1, 870,
	37, 235,
	-2, 232,
	-1, 938,
	123, 507,
	-2, 511,
	-1, 1014,
	29, 223,
	-2, 4,
	-1, 1043,
	124, 174,
	-2, 179,
	-1, 1047,
	121, 227,
	-2, 229,
}

const yyPrivate = 57344

const yyLast = 6449

var yyAct = [...]int{

	101, 1071, 136, 491, 684, 113, 874, 815, 1008, 122,
	130, 986, 199, 690, 566, 552, 809, 858, 329, 114,
	146, 840, 60, 38, 811, 4, 570, 801, 782, 696,
	848, 450, 117, 97, 686, 593, 378, 317, 437, 43,
	137, 648, 666, 263, 142, 313, 25, 157, 161, 129,
	257, 2, 288, 571, 618, 227, 227, 553, 178, 191,
	569, 453, 1042, 1002, 152, 1054, 42, 973, 1001, 972,
	969, 557, 463, 120, 120, 999, 168, 170, 169, 191,
	266, 203, 618, 971, 191, 270, 995, 989, 964, 1000,
	934, 927, 854, 802, 250, 804, 622, 996, 700, 271,
	681, 700, 796, 296, 718, 928, 492, 671, 490, 240,
	842, 841, 346, 269, 464, 719, 192, 172, 176, 175,
	300, 621, 623, 624, 622, 309, 699, 323, 314, 318,
	762, 191, 321, 177, 179, 180, 178, 700, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 516, 679, 334,
	227, 178, 327, 451, 200, 977, 328, 893, 161, 680,
	176, 175, 576, 532, 345, 308, 168, 170, 169, 191,
	465, 465, 618, 577, 533, 240, 620, 619, 892, 191,
	976, 472, 266, 120, 227, 119, 119, 270, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 896,
	1021, 271, 974, 484, 937, 120, 192, 172, 176, 175,
	630, 621, 623, 624, 622, 269, 340, 485, 176, 175,
	408, 120, 158, 895, 381, 374, 962, 813, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 480, 347, 343,
	338, 227, 174, 177, 179, 180, 178, 578, 760, 432,
	812, 481, 348, 344, 339, 717, 603, 434, 588, 208,
	209, 210, 211, 213, 214, 215, 216, 217, 218, 219,
	220, 212, 227, 299, 582, 581, 240, 310, 560, 298,
	465, 559, 885, 466, 631, 632, 420, 421, 466, 416,
	449, 311, 130, 439, 441, 119, 483, 467, 564, 456,
	487, 711, 467, 125, 495, 120, 1022, 710, 132, 38,
	462, 424, 421, 420, 420, 471, 421, 301, 810, 292,
	448, 618, 133, 644, 626, 620, 619, 495, 286, 458,
	524, 511, 963, 119, 159, 280, 253, 473, 461, 476,
	252, 479, 1078, 470, 1058, 635, 634, 625, 627, 638,
	639, 636, 637, 640, 642, 641, 643, 628, 629, 630,
	621, 623, 624, 622, 618, 1040, 538, 520, 620, 619,
	543, 983, 228, 915, 227, 229, 912, 857, 1074, 423,
	125, 846, 120, 542, 551, 829, 795, 227, 556, 720,
	583, 232, 579, 413, 411, 466, 466, 305, 1043, 138,
	628, 629, 630, 621, 623, 624, 622, 923, 459, 467,
	467, 548, 573, 856, 466, 851, 466, 842, 841, 294,
	701, 466, 462, 471, 683, 191, 672, 119, 467, 555,
	467, 647, 540, 518, 382, 467, 519, 125, 287, 120,
	277, 568, 274, 572, 273, 249, 221, 194, 575, 228,
	461, 470, 229, 602, 193, 141, 307, 121, 306, 1082,
	981, 125, 314, 120, 176, 175, 318, 1064, 232, 1063,
	1060, 495, 948, 376, 617, 774, 775, 38, 646, 594,
	495, 326, 134, 1050, 103, 1030, 592, 495, 495, 495,
	495, 495, 774, 775, 598, 659, 181, 182, 174, 177,
	179, 180, 178, 613, 119, 1029, 228, 610, 980, 229,
	785, 956, 609, 910, 227, 906, 844, 838, 837, 661,
	675, 543, 669, 667, 515, 232, 694, 475, 543, 385,
	228, 336, 266, 229, 155, 1068, 1065, 270, 1039, 230,
	230, 697, 668, 418, 1027, 1017, 341, 419, 994, 232,
	676, 271, 993, 890, 682, 565, 324, 1080, 125, 1057,
	466, 119, 946, 843, 264, 269, 227, 258, 227, 712,
	443, 991, 422, 952, 467, 698, 447, 227, 90, 784,
	773, 922, 455, 921, 798, 119, 650, 568, 468, 695,
	304, 383, 862, 653, 654, 655, 656, 657, 615, 495,
	495, 495, 495, 495, 495, 495, 495, 495, 495, 495,
	495, 495, 495, 495, 495, 495, 495, 495, 495, 495,
	495, 495, 495, 495, 495, 495, 758, 715, 495, 716,
	124, 259, 260, 723, 724, 223, 224, 1033, 721, 726,
	727, 534, 904, 905, 230, 769, 833, 834, 256, 294,
	612, 294, 495, 543, 693, 779, 645, 780, 227, 227,
	431, 761, 495, 771, 543, 791, 770, 123, 794, 759,
	125, 407, 444, 543, 800, 124, 264, 652, 230, 435,
	797, 227, 430, 489, 410, 788, 697, 786, 409, 125,
	776, 302, 778, 297, 125, 445, 120, 125, 125, 125,
	120, 849, 799, 294, 812, 730, 731, 732, 733, 734,
	735, 736, 737, 738, 739, 740, 741, 742, 743, 744,
	745, 746, 747, 748, 749, 750, 751, 752, 753, 754,
	755, 757, 822, 439, 650, 825, 294, 495, 805, 594,
	281, 285, 319, 495, 495, 230, 589, 125, 208, 209,
	210, 211, 213, 214, 215, 216, 217, 218, 219, 220,
	212, 315, 486, 228, 482, 227, 229, 267, 544, 131,
	268, 545, 853, 125, 127, 128, 230, 543, 943, 1014,
	320, 651, 232, 543, 61, 433, 232, 227, 878, 879,
	880, 877, 876, 875, 692, 258, 881, 852, 466, 258,
	422, 262, 884, 547, 422, 227, 863, 889, 505, 495,
	882, 860, 467, 53, 887, 294, 389, 294, 119, 131,
	207, 258, 119, 688, 689, 568, 283, 206, 859, 258,
	227, 505, 919, 294, 258, 495, 901, 764, 917, 284,
	902, 908, 544, 827, 911, 545, 1031, 238, 544, 830,
	831, 545, 894, 1072, 543, 793, 258, 930, 913, 259,
	260, 282, 446, 259, 260, 162, 898, 933, 225, 233,
	929, 44, 258, 845, 774, 775, 1032, 255, 230, 765,
	535, 495, 916, 936, 284, 259, 260, 777, 774, 775,
	44, 230, 951, 259, 260, 227, 939, 445, 259, 260,
	1038, 543, 493, 1056, 959, 960, 949, 947, 836, 514,
	954, 1077, 1041, 1023, 958, 899, 705, 1020, 707, 706,
	259, 260, 968, 997, 966, 493, 975, 924, 522, 466,
	1055, 982, 1048, 984, 1003, 985, 259, 260, 978, 967,
	931, 887, 125, 467, 790, 495, 729, 990, 998, 728,
	495, 979, 543, 1004, 543, 616, 568, 614, 611, 987,
	562, 987, 537, 488, 457, 1005, 386, 1013, 322, 713,
	202, 1018, 201, 198, 1019, 505, 135, 436, 704, 561,
	289, 806, 495, 495, 505, 1024, 1025, 944, 543, 567,
	293, 505, 505, 505, 505, 505, 1028, 872, 1034, 98,
	819, 1013, 115, 873, 818, 816, 871, 817, 938, 891,
	709, 428, 543, 78, 649, 89, 100, 502, 230, 1047,
	1049, 494, 1036, 495, 543, 1045, 1052, 942, 1053, 897,
	821, 574, 265, 303, 606, 543, 264, 605, 600, 599,
	1061, 460, 478, 295, 99, 961, 88, 1066, 1059, 523,
	387, 254, 1073, 75, 74, 543, 73, 878, 879, 880,
	877, 876, 875, 1081, 251, 248, 63, 531, 1075, 493,
	230, 781, 230, 375, 558, 352, 351, 350, 493, 925,
	349, 230, 803, 406, 429, 493, 493, 493, 493, 493,
	703, 702, 886, 807, 808, 665, 330, 870, 1046, 1012,
	888, 1044, 1011, 505, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	1010, 1009, 505, 208, 209, 210, 211, 213, 214, 215,
	216, 217, 218, 219, 220, 212, 1007, 1006, 970, 932,
	1062, 1026, 869, 868, 618, 867, 505, 965, 620, 619,
	926, 866, 230, 230, 865, 591, 505, 687, 685, 1015,
	945, 909, 950, 914, 546, 935, 116, 390, 40, 691,
	541, 388, 940, 941, 39, 230, 640, 642, 641, 643,
	628, 629, 630, 621, 623, 624, 622, 493, 493, 493,
	493, 493, 493, 493, 493, 493, 493, 493, 493, 493,
	493, 493, 493, 493, 493, 493, 493, 493, 493, 493,
	493, 493, 493, 493, 539, 861, 493, 14, 13, 1079,
	1076, 231, 231, 1070, 957, 1069, 1067, 1051, 992, 920,
	918, 505, 855, 792, 196, 787, 536, 505, 505, 195,
	493, 955, 678, 953, 677, 377, 272, 900, 337, 163,
	493, 160, 156, 517, 332, 1035, 618, 1016, 907, 230,
	620, 619, 664, 208, 209, 210, 211, 213, 214, 215,
	216, 217, 218, 219, 220, 212, 633, 631, 632, 663,
	50, 230, 140, 660, 638, 639, 636, 637, 640, 642,
	641, 643, 628, 629, 630, 621, 623, 624, 622, 230,
	513, 872, 139, 505, 903, 153, 835, 873, 768, 512,
	871, 832, 767, 658, 618, 325, 644, 626, 620, 619,
	11, 10, 204, 6, 230, 493, 231, 5, 1, 505,
	316, 493, 493, 312, 126, 226, 226, 118, 635, 634,
	625, 627, 638, 639, 636, 637, 640, 642, 641, 643,
	628, 629, 630, 621, 623, 624, 622, 500, 272, 3,
	231, 878, 879, 880, 877, 876, 875, 0, 0, 0,
	0, 0, 0, 0, 618, 505, 644, 626, 620, 619,
	0, 0, 0, 864, 0, 0, 0, 0, 0, 230,
	0, 0, 0, 0, 0, 0, 0, 493, 635, 634,
	625, 627, 638, 639, 636, 637, 640, 642, 641, 643,
	628, 629, 630, 621, 623, 624, 622, 0, 0, 0,
	0, 0, 0, 493, 0, 0, 0, 231, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 505,
	342, 0, 30, 0, 505, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 231, 0,
	0, 0, 0, 0, 0, 144, 150, 154, 0, 493,
	0, 164, 0, 0, 379, 380, 505, 505, 0, 197,
	0, 0, 0, 0, 205, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 222, 0, 0, 0, 234,
	235, 236, 237, 0, 0, 239, 0, 241, 242, 243,
	244, 245, 246, 247, 0, 0, 0, 505, 0, 0,
	261, 0, 0, 0, 0, 275, 276, 632, 278, 279,
	0, 0, 0, 493, 0, 0, 0, 0, 493, 290,
	0, 427, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 438, 440, 0, 0, 0, 0,
	231, 0, 0, 618, 0, 644, 626, 620, 619, 0,
	493, 493, 454, 231, 0, 0, 0, 0, 0, 0,
	0, 239, 0, 0, 331, 0, 0, 635, 634, 625,
	627, 638, 639, 636, 637, 640, 642, 641, 643, 628,
	629, 630, 621, 623, 624, 622, 0, 0, 0, 0,
	0, 493, 0, 353, 354, 355, 356, 357, 358, 359,
	360, 361, 362, 363, 364, 365, 366, 367, 368, 369,
	370, 371, 372, 373, 0, 0, 0, 154, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 392, 394, 395, 396, 397, 398, 399, 400, 401,
	402, 403, 404, 405, 0, 0, 0, 0, 0, 0,
	0, 0, 549, 0, 550, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 554, 0, 0,
	0, 0, 239, 0, 415, 417, 417, 0, 0, 0,
	231, 0, 425, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 154, 154, 272, 0,
	442, 0, 0, 417, 0, 0, 0, 0, 0, 417,
	290, 0, 0, 0, 0, 417, 725, 0, 0, 0,
	595, 417, 469, 192, 172, 176, 175, 474, 0, 0,
	0, 0, 231, 0, 231, 0, 0, 0, 0, 0,
	0, 0, 0, 231, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 521, 633, 631, 632, 0, 0,
	0, 525, 526, 527, 528, 529, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 379, 0, 0, 0, 530, 0,
	828, 0, 0, 618, 0, 644, 626, 620, 619, 0,
	0, 0, 0, 0, 154, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 231, 231, 0, 635, 634, 625,
	627, 638, 639, 636, 637, 640, 642, 641, 643, 628,
	629, 630, 621, 623, 624, 622, 454, 231, 454, 0,
	168, 170, 169, 191, 0, 0, 0, 454, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 618, 0,
	0, 626, 620, 619, 584, 586, 0, 0, 0, 417,
	0, 0, 154, 0, 0, 0, 0, 0, 601, 814,
	192, 172, 176, 175, 625, 627, 638, 639, 636, 637,
	640, 642, 641, 643, 628, 629, 630, 621, 623, 624,
	622, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 231, 0, 0, 0, 0, 0, 0, 783, 783,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 231, 674, 0, 0, 0, 0, 0,
	0, 554, 633, 631, 632, 0, 0, 0, 0, 0,
	0, 231, 0, 0, 438, 0, 0, 0, 0, 0,
	595, 0, 0, 0, 0, 0, 0, 708, 0, 0,
	0, 0, 0, 0, 0, 0, 231, 0, 0, 0,
	618, 826, 644, 626, 620, 619, 0, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	722, 0, 0, 0, 635, 634, 625, 627, 638, 639,
	636, 637, 640, 642, 641, 643, 628, 629, 630, 621,
	623, 624, 622, 0, 0, 850, 176, 175, 0, 0,
	0, 0, 633, 631, 632, 0, 0, 0, 0, 0,
	0, 231, 0, 0, 0, 0, 0, 554, 0, 0,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 454, 0, 331, 772, 766,
	618, 0, 644, 626, 620, 619, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	783, 0, 0, 0, 635, 634, 625, 627, 638, 639,
	636, 637, 640, 642, 641, 643, 628, 629, 630, 621,
	623, 624, 622, 417, 820, 0, 154, 823, 0, 0,
	0, 0, 154, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 554, 0, 0, 673, 0,
	0, 0, 0, 192, 172, 176, 175, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 839, 0, 0,
	0, 0, 0, 0, 847, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 0, 0, 0, 883, 0, 0,
	0, 0, 0, 417, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 0, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 15, 24,
	35, 0, 0, 36, 9, 0, 26, 0, 31, 80,
	81, 7, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 417, 0,
	0, 0, 0, 0, 92, 417, 417, 0, 0, 8,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	331, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	608, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 15,
	24, 35, 0, 0, 36, 9, 0, 26, 0, 31,
	80, 81, 7, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	8, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 477, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	15, 24, 35, 0, 0, 36, 9, 0, 26, 0,
	31, 80, 81, 7, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 8, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 0, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 1037, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 0, 34, 988, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 0, 34, 789, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 0, 34, 662, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 763, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 633, 631, 632, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 714, 0, 0, 91, 76, 16, 0, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 0, 0, 618, 0, 644, 626, 620, 619,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 635, 634,
	625, 627, 638, 639, 636, 637, 640, 642, 641, 643,
	628, 629, 630, 621, 623, 624, 622, 0, 0, 0,
	192, 172, 176, 175, 0, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 670, 0, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 607,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 604, 0, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 580, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 563,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 0, 0, 0, 0, 0, 0, 452, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 192, 172, 176,
	175, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 391, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 412, 0,
	0, 192, 172, 176, 175, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 384, 0, 0, 0,
	0, 0, 192, 172, 176, 175, 0, 0, 0, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 335, 0, 0, 0, 0, 0, 192,
	172, 176, 175, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	333, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 0, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 165, 0, 0,
	0, 0, 0, 192, 172, 176, 175, 633, 631, 632,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 0, 618, 0, 644, 626, 620,
	619, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 635,
	634, 625, 627, 638, 639, 636, 637, 640, 642, 641,
	643, 628, 629, 630, 621, 623, 624, 622, 0, 0,
	0, 192, 172, 176, 175, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 0, 0, 192, 172, 176, 175, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 0, 192, 172, 176, 175,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 192, 172, 176,
	175, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 618, 0,
	0, 626, 620, 619, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 635, 634, 625, 627, 638, 639, 636, 637,
	640, 642, 641, 643, 628, 629, 630, 621, 623, 624,
	622, 0, 172, 176, 175, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 618, 0, 0,
	626, 620, 619, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 634, 625, 627, 638, 639, 636, 637, 640,
	642, 641, 643, 628, 629, 630, 621, 623, 624, 622,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 172, 176,
	175, 0, 0, 0, 0, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 597, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	0, 0, 0, 0, 62, 590, 96, 0, 0, 596,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 191, 0,
	0, 148, 112, 108, 102, 597, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 172, 176, 175, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	596, 57, 56, 58, 59, 72, 119, 0, 0, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 618, 0, 0, 626,
	620, 619, 0, 0, 0, 0, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 0, 0, 627, 638, 639, 636, 637, 640, 642,
	641, 643, 628, 629, 630, 621, 623, 624, 622, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	824, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 587, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	191, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 172, 176,
	175, 91, 76, 0, 0, 0, 0, 62, 0, 96,
	0, 0, 585, 57, 56, 58, 59, 72, 119, 0,
	0, 0, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 0, 0, 62, 0, 96,
	0, 0, 291, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 191, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 414,
	96, 172, 176, 175, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 145, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	0, 96, 0, 0, 393, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 151, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 149,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 0, 104, 105, 125,
	87, 120, 0, 0, 0, 0, 0, 94, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 44, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 145, 147, 0, 0,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 0, 0,
	143, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 0, 104, 105,
	125, 87, 120, 0, 0, 0, 0, 0, 94, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 44, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 80,
	81, 0, 0, 0, 0, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 145, 147, 0,
	0, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 618, 91, 76, 626,
	620, 619, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 638, 639, 636, 637, 640, 642,
	641, 643, 628, 629, 630, 621, 623, 624, 622, 82,
	83, 71, 0, 104, 105, 125, 426, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 104,
	105, 125, 77, 41, 147, 0, 0, 0, 0, 503,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 498, 0, 501, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 504, 0, 0, 0, 0,
	496, 112, 108, 497, 104, 105, 125, 0, 0, 0,
	0, 0, 0, 0, 503, 0, 0, 0, 0, 232,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 756, 510, 0, 499, 0, 0, 0,
	509, 508, 506, 507, 0, 0, 498, 0, 501, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	504, 0, 0, 0, 0, 496, 112, 108, 497, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 232, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 510,
	0, 499, 0, 0, 0, 509, 508, 506, 507,
}
var yyPact = [...]int{

	-1000, -1000, 2552, -1000, -1000, -1000, -1000, 354, 568, 757,
	207, -1000, 380, -1000, -1000, 986, -1000, 296, -1000, -1000,
	352, 296, 5739, 5608, 5477, 433, 220, 873, 5870, -1000,
	3856, 351, 344, -1000, -1000, -1000, 5870, 983, 36, 982,
	980, 5870, -1000, -1000, -1000, -1000, 795, -1000, 788, -1000,
	1017, 343, 5870, 551, 704, 704, 5870, 5870, 5870, 5870,
	-1000, -1000, 6156, -1000, 5870, 5870, 5870, 5870, 5870, 5870,
	5870, 342, -1000, -1000, 235, 231, 880, 5870, 764, 708,
	341, 339, 5870, 5870, 337, 5870, 5870, -1000, 230, -1000,
	-1000, 864, 829, -1000, 223, 335, 5084, -1000, 214, -1000,
	-1000, 587, 952, 635, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 174, 203, -1000, 633, -1000, -1000, 491,
	-1000, 293, 357, -1000, 952, -1000, 176, 699, 680, -1000,
	771, 952, -1000, 978, -1000, -9, 456, 379, 6156, 296,
	3207, 5870, -1000, -1000, 3809, -1000, 36, 854, 613, -1000,
	3762, -1000, 430, 1157, 3944, -1000, 139, -1000, -1000, 447,
	138, 36, -24, 137, 3944, -1000, -1000, -1000, -1000, -1000,
	5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870,
	5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870,
	5870, 708, 371, 704, 5870, 331, 492, 3715, 428, 976,
	-1000, 781, -1000, -1000, 1017, 3668, -1000, -1000, 5346, 5870,
	5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870, 5870,
	5870, -1000, -1000, -1000, -1000, -1000, -1000, 587, 609, 952,
	630, 626, -1000, -1000, -109, -109, -6, -109, 290, 3624,
	289, -109, -109, -109, -109, -109, -109, -109, -1000, 5215,
	-1000, 5870, 5870, 5870, 449, 837, 803, -1000, 274, 6025,
	704, 4070, -1000, -1000, 624, -1000, 587, 598, 952, 748,
	174, 203, 621, 5870, 5870, 3944, 3944, 5870, 3944, 3944,
	5870, 575, 837, 842, -1000, 807, 5870, 5084, 184, 28,
	3580, 704, 5870, 194, 974, 305, 587, 62, 5870, 5870,
	174, 491, 181, 305, 5870, 426, -1000, -1000, 2421, 587,
	-1000, 707, 136, -1000, 755, 952, 92, -1000, 753, 952,
	973, 674, -28, 6316, -1000, 3207, -1000, -1000, 908, 423,
	22, 3944, 334, -1000, -1000, -1000, -1000, -1000, -1000, 220,
	-1000, 5870, -1000, -1000, 936, -1000, 6316, -1000, 5870, 5870,
	5870, 5870, 5870, 4029, 4920, 1967, 5213, -31, -31, -31,
	-6, -109, -6, -6, 99, 99, 41, 41, 41, 41,
	355, 355, 355, 355, -1000, 5870, -1000, 49, -1000, -1000,
	632, 871, 972, -1000, -1000, -1000, -1000, 329, -1000, 709,
	768, 5870, 4070, 313, 4070, 4070, 4070, 4070, 4070, 4070,
	4070, 4070, 4070, 4070, 4070, 4070, 390, 952, 587, 61,
	61, -1000, -1000, -1000, -1000, -109, 175, 3944, 172, -1000,
	-1000, -1000, -1000, -1000, 970, 3499, 193, 455, 61, 305,
	219, 952, 587, -1000, 174, 219, 48, -1000, 1017, -1000,
	143, 288, 3451, 169, -1000, -1000, -1000, 168, 286, -1000,
	-1000, 4934, 4803, -1000, -1000, 152, 5870, -1000, -1000, 4381,
	305, -1000, -1000, -1000, -1000, 5870, 174, 203, 150, 3407,
	-1000, -1000, -1000, -1000, 3359, -1000, 2290, -1000, 305, -1000,
	-1000, 699, 968, 641, -1000, 680, 967, 589, -1000, 965,
	6316, -1000, 3900, -1000, -1000, 587, 594, 952, 328, 6316,
	-1000, -1000, -1000, -1000, 784, 619, 6316, 6316, 6316, 6316,
	6316, -1000, -1000, 3076, -1000, -1000, -1000, -1000, 422, 421,
	-1000, 3311, -29, 323, -1000, 3944, 4250, 4498, 3987, 4070,
	2106, 5870, 419, 704, -1000, -1000, 34, -36, 454, 321,
	783, 758, -1000, 587, 592, 952, 490, 709, -1000, 1017,
	-1000, 708, 2, -1000, -1000, 317, 587, -1000, -1000, -1000,
	-1000, 926, -1000, -1000, 5870, -1000, -1000, 202, -1000, -1000,
	-1000, -1000, -1000, 587, 61, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, 3263, 704, 3944, 704, -1000, 149,
	-1000, -20, 285, -1000, -1000, 1017, 704, 5870, -1000, 305,
	305, 1646, 174, -1000, -1000, 305, 305, -1000, -1000, -1000,
	-1000, -1000, 959, -1000, -1000, 956, -1000, -1000, 6316, 6316,
	6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316,
	6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316, 6316,
	6316, 6316, 6316, 6316, 6241, 952, 587, 6316, 142, -5,
	3219, 640, 847, -71, -71, -43, -43, 2015, -1000, -1000,
	-1000, -1000, -1000, 296, 5870, 5870, 480, -1000, 876, -1000,
	-1000, 6316, 783, -1000, 4154, -1000, -1000, 471, 471, 2945,
	954, 6316, 834, 783, 282, -33, -1000, 36, -1000, -1000,
	-1000, 485, 709, 952, 587, -1000, -42, -1000, -1000, -41,
	390, -1000, -1000, 213, 111, -1000, -1000, -1000, 1813, -1000,
	5870, 5870, -1000, 5870, 4672, -1000, -1000, -1000, -1000, 4512,
	-1000, -1000, 3944, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	1925, -43, -43, -71, -71, -71, -71, 4541, 1161, 5861,
	57, 57, -43, 1468, 1279, 216, 1793, 4172, 1049, 1049,
	1049, 1049, 259, 259, 259, 259, 6316, 1728, 587, 281,
	-1000, -1000, 6316, 6316, -1000, -1000, -1000, 573, -1000, 906,
	417, 416, 3944, -1000, 5870, 316, 463, 415, 862, -1000,
	277, 5870, 663, -1000, 704, 312, 663, -1000, -1000, -1000,
	-44, -1000, -1000, 310, 273, 804, 783, 529, -1000, -42,
	587, 1293, 709, 305, 5870, -1000, 390, -1000, 177, 667,
	5870, -1000, 61, -1000, 453, -1000, 63, 42, 305, 107,
	89, -1000, -1000, 3944, 704, -1000, -1000, 4113, 6316, -1000,
	1219, 3900, -1000, 296, 3207, 569, 414, -1000, -1000, -11,
	-1000, -1000, -1000, -1000, -1000, 412, 804, 4154, 272, 471,
	-1000, -1000, 269, 874, 6316, 810, -1000, 484, 482, 304,
	-1000, 935, -1000, 979, -1000, -1000, -1000, -30, -1000, 854,
	710, -1000, 950, 709, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 4070, -34, 5870, 667, -1000, 88, -1000,
	-1000, 667, 5870, 5870, -1000, -1000, -1000, 741, -1000, 4113,
	6316, -1000, -1000, 487, 296, 370, -1000, 5870, -1000, -1000,
	-1000, 474, -1000, -1000, 390, -1000, 410, -1000, -1000, -1000,
	709, -1000, -1000, 224, -48, -1000, 932, -1000, 949, 36,
	-1000, -66, -52, -1000, -1000, 86, 667, -1000, -1000, -1000,
	64, 39, -1000, 61, 3900, 3207, 407, 358, -1000, 267,
	-1000, -1000, -1000, 2814, -37, 2814, -1000, 472, -1000, 452,
	448, -38, -1000, 931, 6316, -46, -68, -73, 944, 6316,
	-1000, 709, -1000, 789, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, 445, -1000, -1000, -1000, -1000,
	-1000, -1000, 925, -1000, -1000, -1000, 198, -1000, -1000, -1000,
	921, 6316, 6316, -1000, -1000, -1000, 444, 789, -1000, 404,
	384, 821, 867, 579, -1000, -1000, 2683, -1000, 894, 438,
	261, -1000, 920, -74, -1000, -1000, 295, -1000, -1000, -1000,
	-1000, 709, 710, 942, -1000, -1000, -1000, -1000, 382, -1000,
	-1000, -1000, 6316, 783, -70, -1000, 940, -1000, -1000, 899,
	-1000, 460, -1000, 240, 709, -1000, 369, -1000, 368, -1000,
	-1000, 436, -1000, -1000, -1000, -1000, 435, 832, -1000, -1000,
	832, -1000, 275, -1000, 709, -1000, 919, 238, -1000, 458,
	-1000, 359, -1000,
}
var yyPgo = [...]int{

	0, 1389, 49, 45, 37, 598, 1387, 1367, 5, 504,
	1196, 51, 0, 1364, 1363, 1360, 1358, 25, 1357, 1353,
	1351, 3, 2, 1351, 1350, 22, 1345, 1343, 1342, 1341,
	1339, 1338, 1336, 1334, 1332, 1330, 1313, 1312, 1309, 18,
	1292, 1288, 1287, 1285, 1284, 1283, 1472, 39, 1310, 46,
	1282, 1281, 1279, 1275, 1274, 28, 30, 1273, 11, 1272,
	1271, 1269, 1266, 1265, 1264, 1263, 1262, 1260, 1259, 13,
	1258, 1257, 1256, 1255, 1254, 1253, 1, 1250, 1249, 36,
	1248, 1247, 12, 1245, 20, 1244, 4, 1204, 1201, 1200,
	1199, 27, 1198, 1197, 1194, 29, 1193, 15, 42, 21,
	1192, 1191, 1190, 1189, 1188, 34, 1187, 53, 1185, 35,
	61, 47, 66, 1184, 1181, 1180, 1177, 1175, 1173, 1172,
	1171, 1170, 1169, 1168, 1167, 1166, 8, 1151, 1150, 1122,
	1121, 1119, 1118, 6, 1117, 1116, 1115, 16, 24, 1114,
	309, 1113, 1112, 1111, 1110, 804, 43, 1104, 26, 1103,
	1102, 833, 1100, 1097, 1096, 1095, 1094, 1093, 1091, 1087,
	1086, 1085, 1084, 1076, 1074, 1073, 1071, 1070, 17, 1069,
	1066, 52, 1065, 1064, 1063, 1062, 1061, 60, 1059, 32,
	1058, 1057, 1054, 1053, 1052, 33, 1051, 14, 1050, 1049,
	1047, 668, 106, 1041, 41, 1037, 1036, 1035, 1034, 31,
	1033, 1031, 1030, 7, 1029, 1028, 1027, 1025, 1024, 19,
	1022, 1019, 1010, 1009, 57, 1001, 1000, 50, 999, 998,
	997, 38, 989,
}
var yyR1 = [...]int{

	0, 16, 11, 11, 12, 12, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 13, 13, 2,
	2, 2, 2, 14, 14, 3, 3, 3, 3, 15,
	15, 4, 4, 4, 4, 20, 20, 22, 22, 23,
	23, 23, 23, 17, 17, 24, 26, 27, 24, 30,
	31, 24, 34, 35, 24, 37, 38, 24, 40, 41,
	42, 24, 44, 24, 24, 24, 24, 24, 24, 24,
	24, 24, 24, 24, 24, 24, 24, 24, 54, 57,
	24, 59, 60, 24, 61, 24, 24, 64, 66, 24,
	24, 24, 65, 68, 70, 71, 72, 65, 67, 74,
	67, 73, 73, 75, 75, 77, 78, 76, 53, 53,
	79, 18, 19, 82, 82, 83, 83, 85, 80, 89,
	81, 93, 81, 87, 87, 87, 87, 88, 88, 92,
	94, 94, 90, 90, 95, 95, 56, 56, 55, 55,
	96, 55, 43, 43, 58, 58, 63, 63, 62, 62,
	45, 45, 45, 45, 98, 100, 98, 101, 98, 99,
	99, 36, 36, 28, 102, 28, 32, 103, 32, 29,
	29, 33, 33, 86, 86, 104, 104, 105, 105, 106,
	106, 106, 106, 107, 107, 107, 108, 108, 109, 109,
	109, 109, 50, 50, 111, 111, 111, 51, 51, 51,
	51, 91, 91, 115, 113, 113, 113, 120, 113, 118,
	122, 122, 123, 123, 124, 124, 125, 125, 126, 126,
	127, 130, 130, 131, 131, 129, 128, 128, 132, 132,
	121, 121, 114, 114, 119, 119, 134, 134, 133, 133,
	133, 133, 133, 133, 116, 116, 116, 116, 117, 117,
	52, 52, 39, 39, 136, 135, 135, 137, 137, 139,
	139, 142, 141, 141, 141, 143, 144, 143, 147, 145,
	149, 47, 47, 47, 150, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 152, 47, 153, 47, 154, 47, 155,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 47, 47, 47, 47, 156,
	47, 157, 158, 47, 159, 47, 47, 47, 47, 47,
	47, 47, 47, 47, 47, 162, 47, 47, 47, 47,
	47, 47, 47, 167, 47, 169, 47, 49, 49, 49,
	49, 164, 164, 164, 164, 165, 165, 84, 168, 168,
	172, 172, 172, 172, 174, 173, 175, 173, 176, 173,
	178, 173, 180, 173, 181, 173, 182, 173, 183, 173,
	9, 9, 9, 9, 69, 69, 69, 146, 146, 186,
	188, 184, 184, 189, 189, 190, 161, 161, 161, 166,
	166, 166, 148, 148, 5, 5, 5, 5, 5, 5,
	5, 5, 5, 5, 5, 5, 6, 21, 192, 192,
	192, 192, 192, 192, 192, 192, 192, 192, 195, 195,
	195, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 170, 170, 170, 170, 163, 163, 163, 163, 163,
	163, 163, 194, 194, 199, 199, 198, 198, 198, 198,
	46, 46, 25, 25, 112, 110, 151, 201, 202, 48,
	48, 204, 204, 205, 138, 206, 206, 208, 207, 203,
	203, 203, 179, 179, 210, 210, 10, 211, 212, 211,
	200, 200, 200, 185, 185, 185, 8, 8, 8, 7,
	7, 140, 140, 187, 187, 213, 213, 213, 177, 177,
	209, 209, 97, 97, 214, 215, 214, 214, 171, 171,
	216, 216, 216, 216, 216, 216, 216, 216, 191, 191,
	191, 191, 217, 218, 217, 217, 217, 217, 217, 219,
	219, 219, 160, 160, 160, 160, 160, 160, 160, 160,
	220, 222, 220, 221, 221, 196, 196, 193, 197,
}
var yyR2 = [...]int{

	0, 1, 2, 0, 1, 3, 1, 1, 1, 4,
	3, 5, 4, 3, 4, 4, 2, 3, 1, 1,
	3, 2, 4, 3, 1, 1, 3, 2, 4, 3,
	1, 1, 3, 2, 4, 5, 4, 1, 0, 1,
	1, 1, 4, 1, 2, 3, 0, 0, 7, 0,
	0, 10, 0, 0, 5, 0, 0, 7, 0, 0,
	0, 12, 0, 4, 2, 3, 2, 3, 2, 3,
	3, 2, 3, 3, 3, 1, 2, 5, 0, 0,
	10, 0, 0, 10, 0, 6, 1, 0, 0, 8,
	3, 3, 0, 0, 0, 0, 0, 13, 0, 0,
	5, 1, 0, 1, 2, 0, 0, 10, 1, 3,
	1, 1, 1, 0, 1, 0, 1, 0, 10, 0,
	8, 0, 7, 1, 2, 1, 2, 0, 2, 1,
	0, 2, 0, 2, 1, 3, 0, 2, 1, 2,
	0, 5, 1, 4, 1, 4, 1, 4, 3, 5,
	3, 4, 4, 5, 0, 0, 6, 0, 5, 1,
	1, 1, 4, 0, 0, 5, 0, 0, 6, 0,
	2, 0, 3, 1, 0, 1, 3, 4, 6, 0,
	1, 1, 1, 2, 3, 3, 1, 3, 1, 1,
	2, 2, 3, 1, 1, 2, 4, 3, 5, 1,
	3, 2, 0, 0, 4, 2, 1, 0, 9, 3,
	1, 3, 1, 3, 0, 1, 1, 2, 2, 2,
	3, 1, 3, 1, 1, 3, 4, 3, 0, 1,
	1, 3, 1, 1, 0, 1, 1, 2, 1, 1,
	1, 1, 1, 1, 3, 5, 1, 3, 5, 4,
	3, 1, 0, 1, 0, 4, 1, 2, 1, 4,
	3, 0, 3, 1, 1, 0, 0, 2, 0, 4,
	0, 7, 3, 4, 0, 7, 2, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 2,
	2, 2, 2, 0, 4, 0, 4, 0, 4, 0,
	4, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 2, 2, 2, 2, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 1, 1, 0,
	5, 0, 0, 7, 0, 5, 1, 2, 2, 2,
	2, 2, 2, 2, 2, 0, 3, 1, 1, 1,
	3, 2, 1, 0, 10, 0, 11, 2, 2, 4,
	4, 4, 4, 4, 4, 4, 3, 1, 0, 4,
	3, 4, 1, 2, 0, 3, 0, 5, 0, 4,
	0, 5, 0, 5, 0, 5, 0, 5, 0, 3,
	1, 1, 3, 2, 1, 3, 2, 1, 1, 0,
	0, 6, 1, 2, 0, 2, 0, 2, 1, 0,
	1, 1, 0, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 3, 2, 3, 1, 1, 1,
	1, 3, 2, 4, 3, 1, 1, 1, 4, 3,
	3, 3, 3, 3, 3, 2, 2, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 4, 5, 2, 2,
	3, 1, 1, 3, 2, 1, 1, 1, 1, 3,
	3, 1, 0, 2, 0, 1, 5, 3, 3, 1,
	1, 1, 3, 3, 1, 1, 1, 0, 0, 7,
	1, 2, 0, 0, 4, 4, 4, 0, 2, 1,
	1, 0, 1, 2, 3, 3, 1, 4, 0, 5,
	1, 1, 1, 1, 2, 1, 4, 4, 1, 1,
	4, 0, 1, 1, 1, 4, 4, 1, 1, 3,
	1, 2, 3, 1, 1, 0, 5, 0, 0, 2,
	5, 3, 3, 1, 6, 4, 4, 2, 2, 2,
	1, 2, 1, 0, 5, 3, 3, 6, 3, 1,
	1, 1, 4, 4, 4, 2, 2, 4, 2, 2,
	1, 0, 4, 1, 1, 3, 3, 3, 3,
}
var yyChk = [...]int{

	-1000, -16, -11, -1, -17, -18, -19, 51, 79, 44,
	-20, -24, 10, -80, -81, 38, 119, 7, 21, 20,
	23, 30, 34, 35, 39, -49, 46, 98, 19, 14,
	-46, 48, 25, 27, 121, 40, 43, 36, -84, -87,
	-92, 97, -112, -47, 37, 52, 99, 53, 100, 54,
	-48, 59, 92, -151, 104, 105, 130, 129, 131, 132,
	-25, -145, 123, -160, 107, 108, 109, 110, 111, 112,
	113, 6, 133, -163, -164, -165, 118, 96, -200, 91,
	49, 50, 4, 5, 84, 85, 86, 11, -170, -197,
	-5, 117, 74, 62, 18, 60, 125, -185, -211, -173,
	-196, -12, 82, -9, 8, 9, 66, 67, 81, 63,
	64, 65, 80, -8, -209, -210, -10, -179, -7, 134,
	12, 123, -12, 119, 82, 10, -13, 37, 38, -2,
	-12, 82, 121, 135, 122, 10, -22, -25, 123, -34,
	-37, 123, -25, 121, -46, 97, -84, 98, 79, 121,
	-46, 121, -47, -48, -46, 121, -50, -111, 12, 134,
	-51, -84, 12, -52, -46, 121, 149, 150, 87, 89,
	88, 151, 128, 152, 163, 130, 129, 164, 167, 165,
	166, 161, 162, 155, 156, 153, 154, 157, 158, 159,
	160, 90, 127, 123, 123, -61, -64, -46, 10, -82,
	128, 10, 10, -47, -48, -46, 52, 52, 136, 137,
	138, 139, 148, 140, 141, 142, 143, 144, 145, 146,
	147, 123, -46, 104, 105, -151, -48, -12, 79, 82,
	-9, -10, 98, -151, -46, -46, -46, -46, -145, -46,
	-49, -46, -46, -46, -46, -46, -46, -46, -161, 123,
	-25, -162, 125, 125, -166, 17, -191, -217, 12, 76,
	77, -46, 57, -146, -9, -184, -12, 79, 82, -185,
	-8, -209, -10, 123, 123, -46, -46, 123, -46, -46,
	125, -191, 17, 17, 75, -191, 125, 123, -171, -216,
	-46, 128, 125, -212, 82, -174, -12, 78, 125, 119,
	-8, 134, 78, -183, 119, 124, 121, 119, -11, -12,
	121, 135, -14, -3, -12, 82, -15, -4, -12, 82,
	29, -12, 10, 136, 120, -26, 122, -25, -17, -39,
	-135, -46, -44, 121, -82, 121, 121, 121, 121, 135,
	-112, 119, -48, 121, 135, -82, 136, 121, 135, -152,
	-153, -154, -155, -46, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -146, -157, 122, -53, -79, -48,
	-48, -47, 123, 119, 121, 121, 10, -167, -88, 55,
	-93, 58, -46, 128, -46, -46, -46, -46, -46, -46,
	-46, -46, -46, -46, -46, -46, -149, 82, -12, 78,
	78, 124, 124, 124, 124, -46, -140, -46, -140, 118,
	-217, -217, 17, 125, 57, -46, 11, -48, -201, -147,
	78, 82, -12, 57, -8, 78, -220, -221, -48, -47,
	-48, -47, -46, -140, 117, 75, 75, -140, -171, 126,
	-199, 135, 58, -110, -48, -140, 125, 10, -107, 123,
	-176, -177, -179, 10, 52, 119, -8, -209, -140, -46,
	-177, -179, 10, -107, -46, 121, -11, 120, -175, -2,
	121, 135, 29, -12, 121, 135, 29, -12, 10, 29,
	136, -21, -192, -5, -193, -12, 79, 82, 60, 125,
	-6, 62, -195, 18, 74, -9, 131, 132, 130, 129,
	123, -17, -30, -35, 21, 121, 135, -45, 119, 122,
	-111, -46, 12, -169, -21, -46, -46, -46, -46, -46,
	-46, -159, 124, 135, 29, 29, -62, 10, -22, -85,
	123, -89, -69, -12, 79, 82, -94, 55, -47, -48,
	-48, 91, -97, -214, -48, 59, -12, 10, -156, 126,
	126, -218, 10, 120, 125, 120, -187, -213, -179, -177,
	-148, -107, -179, -12, -186, -179, 124, 135, 124, 124,
	124, 126, 126, 124, -46, 128, -46, 128, 126, -140,
	124, -108, -49, -109, -47, -48, 128, 83, -107, -178,
	-180, -46, -8, 126, 120, -181, -182, 120, 120, -107,
	-3, 10, 29, -4, 10, 29, 10, -21, 125, 130,
	129, 164, 167, 165, 166, 151, 128, 152, 161, 162,
	163, 88, 89, 87, 150, 149, 155, 156, 153, 154,
	157, 159, 158, 160, 127, 82, -12, 123, -194, -198,
	-192, 17, 78, -192, -192, -192, -192, -192, -27, -22,
	-36, -17, 122, -38, -40, -136, -98, 121, -98, 121,
	120, 136, 123, 122, -46, 121, -79, -54, -59, 124,
	135, 136, 120, 123, -86, -104, -105, -106, 60, 61,
	-69, -90, 56, 82, -12, 119, -95, -69, -146, 124,
	135, 123, -143, -144, -219, 10, 13, 12, -46, -202,
	125, 119, -187, -222, 58, -110, -110, 126, 124, 135,
	124, -110, -46, -107, -107, 120, -107, -107, 10, 10,
	-192, -192, -192, -192, -192, -192, -192, -192, -192, -192,
	-192, -192, -192, -192, -192, -192, -192, -192, -192, -192,
	-192, -192, -192, -192, -192, -192, 122, -192, -12, -194,
	126, -199, 135, 58, 10, 52, 124, -28, -31, -22,
	-25, -39, -46, 120, 32, 33, -98, 31, -98, -21,
	-86, -158, -55, -48, 128, 59, -55, -63, -17, 122,
	10, -21, -65, 41, -86, 124, 135, -82, 119, -95,
	-12, -91, 135, -150, 136, -214, -215, -141, -139, -137,
	125, -138, 57, 126, 126, -203, -207, -206, -208, -140,
	-46, -188, -221, -46, 128, -109, 126, -192, 122, 124,
	-192, -192, -29, 93, 94, -32, 22, 121, 121, -46,
	-99, 122, 121, 120, 121, 31, 124, -46, -56, 58,
	-48, 123, -56, -22, 136, -66, 123, 124, -168, 44,
	-105, -83, 83, -91, 120, -113, -114, -117, -118, -119,
	-134, 47, 38, 44, -133, 103, 102, 101, 98, 99,
	100, -69, -148, -46, -97, 125, -142, -138, -140, -187,
	120, -204, 125, 125, -107, 126, 120, -189, -110, -192,
	58, -25, -17, -33, 93, 94, 121, -41, -99, -101,
	121, -168, 124, -55, -96, 124, 28, -21, -67, 42,
	-68, 119, 119, 123, 12, 120, -115, 121, 135, -84,
	-133, 10, -122, -69, 124, -140, -137, 126, -205, -138,
	-140, -140, -190, 57, -192, -102, 95, -25, 122, -39,
	-100, -22, 119, -57, -97, -60, 121, -74, -69, -22,
	-22, -172, 12, 128, 136, -116, 12, 10, -82, 136,
	-123, 135, 121, 119, 126, -203, 126, 126, -187, -17,
	121, 122, -22, 124, -22, -22, -58, -17, 122, 124,
	-58, 119, -70, 120, 120, 124, 135, 12, -21, 121,
	135, 136, 136, 10, -21, -69, -124, -125, -126, -127,
	-128, -129, -131, -69, 10, -103, -42, 120, -22, -22,
	12, 12, 128, 12, -21, -21, -120, 120, -126, 121,
	121, 45, 29, 78, -22, -43, -17, 122, 26, 120,
	124, 12, 136, 123, -130, -69, -132, -133, 10, -22,
	121, -71, -21, -86, 135, 10, 24, 119, 124, -69,
	121, -22, -121, 121, 119, 120, -22, -72, 120, -73,
	-75, -76, 41, -76, 123, -69, -77, 12, 124, -78,
	119, -22, 120,
}
var yyDef = [...]int{

	3, -2, 1, 2, 6, 7, 8, 0, 0, 0,
	0, 43, 4, 111, 112, 0, 38, 0, 52, 55,
	0, 0, 0, 0, 0, 0, 0, 390, 0, 75,
	0, 0, 0, 84, 86, 87, 0, 0, 113, 0,
	0, 352, 490, 491, 367, 123, 0, 125, 0, 129,
	-2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	327, 328, 0, 336, 0, 0, 0, 0, 0, 0,
	0, 406, 345, 347, 348, 349, 409, 0, 500, 0,
	0, 0, 0, 0, 0, 0, 0, 475, 476, 477,
	478, 0, 0, 481, 416, 0, 548, 520, 521, -2,
	471, -2, 0, 0, 414, 415, 417, 418, 419, 420,
	421, 422, 423, -2, 0, 525, 0, 388, 528, 540,
	529, 0, 0, 3, 0, 4, 0, 0, 0, 18,
	19, 0, 16, 0, 44, 0, 0, 46, 0, 0,
	0, 252, 62, 64, 0, 352, 113, 390, 0, 66,
	0, 68, 491, -2, 0, 71, 0, 193, 194, 0,
	0, 113, 199, 0, 251, 76, 293, 295, 297, 299,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 331, 0, 0, 0, 0, 0, 0, 353,
	114, 127, 121, -2, -2, 0, 124, 126, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 270, 276, 289, 291, 290, 496, -2, 0, 0,
	0, 0, 390, 292, 314, 315, 316, 317, 328, 0,
	0, 337, 338, 339, 340, 341, 342, 343, 344, 0,
	408, 0, 531, 531, 0, 410, 411, 560, 562, 0,
	0, 351, 497, 268, 397, 398, 391, 0, 0, 402,
	-2, 0, 0, 0, 0, 575, 576, 0, 578, 579,
	531, 0, 0, 0, 425, 0, 531, 548, 0, 484,
	553, 0, 531, 0, 0, 0, -2, 0, 531, 0,
	-2, 541, 0, 0, 0, 0, 10, 3, 0, -2,
	13, 0, 0, 24, 25, 0, 0, 30, 31, 0,
	0, 21, 0, 0, 45, 0, 49, 53, 0, 0,
	253, 256, 0, 65, 353, 67, 69, 70, 72, 0,
	195, 0, 494, 73, 0, 355, 0, 74, 0, 0,
	0, 0, 0, 301, 302, 303, 304, 305, 306, 307,
	308, 309, 310, 311, 312, 313, -2, -2, -2, -2,
	-2, -2, -2, -2, 326, 0, 334, 0, 108, 110,
	-2, 491, 0, 38, 90, 91, 117, 0, 119, 0,
	130, 0, 272, 0, 277, 278, 279, 280, 281, 282,
	283, 284, 285, 286, 287, 288, 547, 0, -2, 0,
	0, 329, 492, 493, 407, 346, 0, 532, 0, 350,
	561, 558, 559, 563, 0, 0, 475, 0, 0, 412,
	0, 0, 393, 399, 524, 0, 0, 580, -2, -2,
	-2, 491, 0, 0, 479, 424, 480, 0, 0, 366,
	549, 485, 0, 557, 495, 0, 531, 5, 375, 0,
	0, 380, -2, -2, 588, 0, 512, 0, 0, 0,
	384, -2, -2, 389, 0, 9, 0, 12, 0, 17,
	14, 0, 0, 27, 15, 0, 0, 33, 20, 0,
	0, 36, 427, 428, 429, -2, 0, 0, 0, 482,
	435, 436, 437, 416, 0, 0, 0, 0, 0, 0,
	0, 47, 38, 0, 56, 58, 254, 63, 154, 154,
	192, 0, 197, 0, 200, 250, 294, 296, 298, 300,
	0, 0, 0, 0, 78, 81, 0, 0, 0, 0,
	-2, 132, 128, 394, 0, 0, 0, 0, -2, -2,
	273, 0, 0, 543, 544, 0, -2, 538, -2, 362,
	361, 0, 565, 566, 0, 568, 498, 533, 534, 537,
	269, 413, 514, 392, 0, 515, 572, 581, 573, 574,
	577, 364, 363, 365, 551, 0, 552, 0, 517, 0,
	183, 0, 0, 186, -2, -2, 0, 0, 379, 0,
	0, 0, 513, 526, 527, 0, 0, 530, 11, 377,
	23, 26, 0, 29, 32, 0, 22, 35, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, -2, 482, 0, 484,
	489, 0, 0, 445, 446, 468, 469, 0, 163, 37,
	54, 161, 38, 0, 252, 0, 0, 154, 0, 154,
	196, 0, -2, 332, 335, 77, 109, 0, 0, 0,
	0, 0, 92, -2, 0, 173, 175, 113, 180, 181,
	182, 0, 0, 0, 396, 202, 131, 134, 274, 0,
	547, 545, 330, 0, 0, 569, 570, 571, 0, -2,
	531, 0, 400, 0, 0, 555, 556, 519, 184, 0,
	185, 190, 191, 381, 383, 539, 385, 387, 28, 34,
	0, 439, 440, 441, 442, 443, 444, 447, 448, 449,
	450, 451, 452, 453, 454, 455, 456, 457, -2, -2,
	-2, -2, -2, -2, -2, -2, 0, 0, -2, 0,
	434, 483, 485, 0, 426, 587, 470, 169, 166, 0,
	0, 0, 255, 150, 0, 0, 0, 0, 0, 198,
	0, 0, 136, 138, 0, 0, 136, 85, 146, 38,
	0, 148, 88, 0, 0, 368, 179, 115, 202, 133,
	395, 234, 0, 412, 0, 542, 547, 267, -2, 264,
	531, 258, 0, 564, 0, 502, 509, 510, 0, 0,
	0, 404, 582, 550, 0, 187, 438, 466, 0, 433,
	487, 488, 48, 0, 0, 171, 0, 57, 59, 0,
	157, 159, 160, 151, 152, 0, 368, 333, 0, 0,
	139, 140, 0, 0, 0, 98, 93, 0, 0, 0,
	176, 0, 116, 234, 122, 201, 203, 0, 206, 0,
	-2, 233, 0, 0, 236, 238, 239, 240, 241, 242,
	243, 135, 275, 271, 0, 531, 0, 257, 0, 503,
	567, 499, 531, 531, 508, 535, 536, 401, 554, 467,
	0, 164, 170, 0, 0, 0, 162, 252, 155, 38,
	153, 0, 79, 137, 547, 82, 0, 149, 89, 99,
	0, 38, 38, 0, 177, 120, 0, 205, 0, 113,
	237, 0, 0, 210, 546, 0, 262, 260, -2, 501,
	0, 0, 403, 0, 486, 0, 0, 0, 38, 0,
	38, 37, 38, 0, 0, 0, 147, 0, 94, 0,
	0, 0, 372, 0, 0, 0, 246, 0, 0, 0,
	209, 0, 212, 214, 259, 504, 506, 505, 405, 165,
	51, 167, 37, 60, 37, 0, 80, 144, 38, 141,
	83, 38, 0, 118, 354, 369, 0, 373, 178, 204,
	0, 0, 0, 207, 249, 211, 0, 215, 216, 0,
	0, 224, 0, 0, -2, 38, 0, 356, 0, 0,
	0, 370, 0, 244, 247, 248, 0, 213, 217, 218,
	219, 0, 228, 0, 37, 61, 142, 38, 0, 100,
	95, 371, 0, -2, 220, 221, 0, -2, 225, 0,
	145, 0, 245, 0, 0, 226, 0, 38, 0, 222,
	143, 0, 208, 230, 38, 96, 0, 102, 231, 97,
	101, 103, 0, 104, 0, 105, 0, 0, 106, 0,
	38, 0, 107,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 131, 117, 3, 134, 166, 128, 3,
	123, 124, 164, 130, 135, 129, 163, 165, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 122, 121,
	157, 136, 159, 127, 133, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 125, 3, 126, 152, 3, 118, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 119, 151, 120, 132,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
	52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	62, 63, 64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
	82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
	92, 93, 94, 95, 96, 97, 98, 99, 100, 101,
	102, 103, 104, 105, 106, 107, 108, 109, 110, 111,
	112, 113, 114, 115, 116, 137, 138, 139, 140, 141,
	142, 143, 144, 145, 146, 147, 148, 149, 150, 153,
	154, 155, 156, 158, 160, 161, 162, 167,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:203
		{
			rootnode = stmt.NewStmtList(yyDollar[1].list)
		}
	case 2:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:209
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 3:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:210
		{
			yyVAL.list = []node.Node{}
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:215
		{
			namePart := name.NewNamePart(yyDollar[1].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{namePart}
			comments.AddComments(namePart, yyDollar[1].token.Comments())
		}
	case 5:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:222
		{
			namePart := name.NewNamePart(yyDollar[3].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.list = append(yyDollar[1].list, namePart)
			comments.AddComments(namePart, yyDollar[3].token.Comments())
		}
	case 6:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:231
		{
			yyVAL.node = nil
		}
	case 7:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:232
		{
			yyVAL.node = nil
		}
	case 8:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:233
		{
			yyVAL.node = nil
		}
	case 9:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:234
		{
			yyVAL.node = stmt.NewHaltCompiler()
		}
	case 10:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:236
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 11:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:246
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, yyDollar[4].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[5].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 12:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:256
		{
			yyVAL.node = stmt.NewNamespace(nil, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 13:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:262
		{
			yyVAL.node = stmt.NewUseList(nil, yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 14:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:268
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 15:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:278
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 16:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:287
		{
			yyVAL.node = nil
		}
	case 17:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:291
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 18:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:292
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 19:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:297
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 20:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:307
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 21:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:320
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 22:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:330
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 23:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:346
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 24:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:350
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:357
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:367
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 27:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:380
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 28:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:390
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 29:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:406
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 30:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:410
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:417
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 32:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:427
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 33:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:440
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 34:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:450
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 35:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:465
		{
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:466
		{
		}
	case 37:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:470
		{
		}
	case 42:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:479
		{
		}
	case 43:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:484
		{
		}
	case 44:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:485
		{
		}
	case 46:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 47:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 48:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 49:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 50:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 51:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 54:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:492
		{
		}
	case 55:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 56:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 57:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 58:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:497
		{
		}
	case 59:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:499
		{
		}
	case 60:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 61:
		yyDollar = yyS[yypt-12 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 62:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 63:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 64:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 65:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 66:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 67:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:507
		{
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 69:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:509
		{
		}
	case 70:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:510
		{
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:511
		{
		}
	case 75:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:515
		{
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:516
		{
		}
	case 78:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:519
		{
		}
	case 79:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:520
		{
		}
	case 80:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:521
		{
		}
	case 81:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:523
		{
		}
	case 82:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:524
		{
		}
	case 83:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:525
		{
		}
	case 84:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 85:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 87:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:528
		{
		}
	case 88:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 89:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:530
		{
		}
	case 90:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:531
		{
		}
	case 91:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 92:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:536
		{
		}
	case 93:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:537
		{
		}
	case 94:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:538
		{
		}
	case 95:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:539
		{
		}
	case 96:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:540
		{
		}
	case 97:
		yyDollar = yyS[yypt-13 : yypt+1]
		//line php5/php5.y:541
		{
		}
	case 98:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:544
		{
		}
	case 99:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 100:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 101:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:549
		{
		}
	case 102:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:550
		{
		}
	case 103:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:554
		{
		}
	case 104:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:555
		{
		}
	case 105:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 106:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 107:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 110:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:568
		{
		}
	case 111:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:572
		{
		}
	case 112:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:576
		{
		}
	case 113:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:580
		{
		}
	case 114:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:581
		{
		}
	case 115:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:585
		{
		}
	case 116:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:586
		{
		}
	case 117:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:590
		{
		}
	case 118:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:592
		{
		}
	case 119:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:597
		{
		}
	case 120:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:601
		{
		}
	case 121:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:603
		{
		}
	case 122:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:607
		{
		}
	case 123:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:612
		{
		}
	case 124:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:613
		{
		}
	case 125:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:614
		{
		}
	case 126:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:615
		{
		}
	case 127:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:619
		{
		}
	case 128:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:620
		{
		}
	case 129:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:624
		{
		}
	case 134:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:638
		{
		}
	case 135:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:639
		{
		}
	case 136:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:643
		{
		}
	case 137:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:644
		{
		}
	case 138:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:648
		{
		}
	case 139:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:649
		{
		}
	case 140:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 141:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 148:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:672
		{
		}
	case 149:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:673
		{
		}
	case 150:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:678
		{
		}
	case 151:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:679
		{
		}
	case 152:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:680
		{
		}
	case 153:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:681
		{
		}
	case 154:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:686
		{
		}
	case 155:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 156:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 157:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 158:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 164:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:707
		{
		}
	case 165:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:707
		{
		}
	case 167:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:713
		{
		}
	case 168:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:713
		{
		}
	case 177:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:742
		{
		}
	case 178:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:744
		{
		}
	case 179:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:749
		{
		}
	case 180:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:750
		{
		}
	case 181:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:751
		{
		}
	case 182:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:752
		{
		}
	case 183:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:757
		{
		}
	case 184:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:758
		{
		}
	case 185:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:759
		{
		}
	case 188:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:769
		{
		}
	case 189:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:770
		{
		}
	case 190:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:771
		{
		}
	case 191:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:772
		{
		}
	case 192:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:776
		{
		}
	case 193:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:777
		{
		}
	case 194:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:782
		{
		}
	case 195:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:783
		{
		}
	case 196:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:784
		{
		}
	case 197:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:789
		{
		}
	case 198:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:790
		{
		}
	case 199:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:791
		{
		}
	case 200:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:792
		{
		}
	case 203:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:804
		{
		}
	case 207:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:807
		{
		}
	case 208:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line php5/php5.y:809
		{
		}
	case 210:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:817
		{
		}
	case 211:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:818
		{
		}
	case 220:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:842
		{
		}
	case 221:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:846
		{
		}
	case 222:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:847
		{
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:851
		{
		}
	case 224:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:852
		{
		}
	case 225:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:856
		{
		}
	case 226:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:860
		{
		}
	case 227:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:861
		{
		}
	case 228:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:865
		{
		}
	case 229:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:866
		{
		}
	case 230:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:870
		{
		}
	case 231:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:871
		{
		}
	case 232:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:875
		{
		}
	case 233:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:876
		{
		}
	case 234:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:880
		{
		}
	case 235:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:881
		{
		}
	case 236:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:885
		{
		}
	case 237:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:886
		{
		}
	case 238:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:890
		{
		}
	case 239:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:891
		{
		}
	case 240:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:892
		{
		}
	case 241:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:893
		{
		}
	case 242:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:894
		{
		}
	case 243:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:895
		{
		}
	case 244:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:899
		{
		}
	case 245:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:900
		{
		}
	case 246:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:901
		{
		}
	case 247:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:902
		{
		}
	case 248:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:906
		{
		}
	case 249:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:907
		{
		}
	case 250:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:911
		{
		}
	case 251:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:912
		{
		}
	case 252:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:917
		{
		}
	case 253:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:918
		{
		}
	case 254:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:922
		{
		}
	case 255:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:922
		{
		}
	case 256:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:923
		{
		}
	case 257:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:927
		{
		}
	case 258:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:928
		{
		}
	case 259:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:932
		{
		}
	case 260:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:933
		{
		}
	case 261:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:937
		{
		}
	case 262:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:937
		{
		}
	case 263:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:938
		{
		}
	case 264:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:939
		{
		}
	case 265:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:943
		{
		}
	case 266:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:944
		{
		}
	case 267:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:945
		{
		}
	case 268:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:949
		{
		}
	case 269:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:949
		{
		}
	case 270:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:953
		{
		}
	case 271:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:953
		{
		}
	case 272:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:954
		{
		}
	case 273:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:955
		{
		}
	case 274:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:956
		{
		}
	case 275:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:956
		{
		}
	case 276:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:957
		{
		}
	case 277:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:958
		{
		}
	case 278:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:959
		{
		}
	case 279:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:960
		{
		}
	case 280:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:961
		{
		}
	case 281:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:962
		{
		}
	case 282:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:963
		{
		}
	case 283:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:964
		{
		}
	case 284:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:965
		{
		}
	case 285:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:966
		{
		}
	case 286:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:967
		{
		}
	case 287:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:968
		{
		}
	case 288:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:969
		{
		}
	case 289:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:970
		{
		}
	case 290:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:971
		{
		}
	case 291:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:972
		{
		}
	case 292:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:973
		{
		}
	case 293:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 294:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 295:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 296:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 297:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 298:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 299:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:977
		{
		}
	case 300:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:977
		{
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:978
		{
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:979
		{
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:980
		{
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:981
		{
		}
	case 305:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:982
		{
		}
	case 306:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:983
		{
		}
	case 307:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:984
		{
		}
	case 308:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:985
		{
		}
	case 309:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:986
		{
		}
	case 310:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:987
		{
		}
	case 311:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:988
		{
		}
	case 312:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:989
		{
		}
	case 313:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:990
		{
		}
	case 314:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:991
		{
		}
	case 315:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:992
		{
		}
	case 316:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:993
		{
		}
	case 317:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:994
		{
		}
	case 318:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:995
		{
		}
	case 319:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:996
		{
		}
	case 320:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:997
		{
		}
	case 321:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:998
		{
		}
	case 322:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:999
		{
		}
	case 323:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1000
		{
		}
	case 324:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1001
		{
		}
	case 325:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1002
		{
		}
	case 326:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1003
		{
		}
	case 327:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1004
		{
		}
	case 328:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1005
		{
		}
	case 329:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 330:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 331:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1007
		{
		}
	case 332:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1008
		{
		}
	case 333:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1009
		{
		}
	case 334:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1010
		{
		}
	case 335:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1011
		{
		}
	case 336:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1012
		{
		}
	case 337:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1013
		{
		}
	case 338:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1014
		{
		}
	case 339:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1015
		{
		}
	case 340:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1016
		{
		}
	case 341:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 342:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1018
		{
		}
	case 343:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1019
		{
		}
	case 344:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1020
		{
		}
	case 345:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 346:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 347:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1022
		{
		}
	case 348:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1023
		{
		}
	case 349:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1024
		{
		}
	case 350:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1025
		{
		}
	case 351:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1026
		{
		}
	case 352:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1027
		{
		}
	case 353:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1028
		{
		}
	case 354:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:1030
		{
		}
	case 355:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1031
		{
		}
	case 356:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:1033
		{
		}
	case 357:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1037
		{
		}
	case 358:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1038
		{
		}
	case 359:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1039
		{
		}
	case 360:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1040
		{
		}
	case 361:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 362:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1045
		{
		}
	case 363:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1046
		{
		}
	case 364:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1047
		{
		}
	case 365:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1051
		{
		}
	case 366:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1052
		{
		}
	case 367:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1056
		{
		}
	case 370:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1065
		{
		}
	case 371:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1066
		{
		}
	case 372:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1067
		{
		}
	case 373:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1068
		{
		}
	case 374:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1072
		{
		}
	case 375:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1073
		{
		}
	case 376:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1074
		{
		}
	case 377:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 378:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1076
		{
		}
	case 379:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1077
		{
		}
	case 380:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 381:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 382:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 383:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 384:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1082
		{
		}
	case 385:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1083
		{
		}
	case 386:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1084
		{
		}
	case 387:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1085
		{
		}
	case 388:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1086
		{
		}
	case 389:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1087
		{
		}
	case 390:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1092
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 391:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1098
		{
			yyVAL.node = name.NewName(yyDollar[1].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 392:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1104
		{
			yyVAL.node = name.NewRelative(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[3].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 393:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1110
		{
			yyVAL.node = name.NewFullyQualified(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 394:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1118
		{
		}
	case 395:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1119
		{
		}
	case 396:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1120
		{
		}
	case 397:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1126
		{
		}
	case 398:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1127
		{
		}
	case 399:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1132
		{
		}
	case 400:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1133
		{
		}
	case 401:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1134
		{
		}
	case 402:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1135
		{
		}
	case 405:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1146
		{
		}
	case 406:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1150
		{
		}
	case 407:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1151
		{
		}
	case 408:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1152
		{
		}
	case 409:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1156
		{
		}
	case 410:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1157
		{
		}
	case 411:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1158
		{
		}
	case 412:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1162
		{
		}
	case 413:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1163
		{
		}
	case 414:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1168
		{
			yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 415:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1174
		{
			yyVAL.node = scalar.NewDnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 416:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1179
		{
			yyVAL.node = nil
		}
	case 417:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1181
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 418:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1187
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 419:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1193
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 420:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1199
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 421:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1205
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 422:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1211
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 423:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1217
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 424:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1222
		{
			yyVAL.node = nil
		}
	case 425:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1223
		{
			yyVAL.node = nil
		}
	case 426:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1228
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 427:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1240
		{
		}
	case 428:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1244
		{
		}
	case 429:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1245
		{
		}
	case 430:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1246
		{
		}
	case 431:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1247
		{
		}
	case 432:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1248
		{
		}
	case 433:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1249
		{
		}
	case 434:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1250
		{
		}
	case 435:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1251
		{
		}
	case 436:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1252
		{
		}
	case 437:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1253
		{
		}
	case 438:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1257
		{
		}
	case 439:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1258
		{
		}
	case 440:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1259
		{
		}
	case 441:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1260
		{
		}
	case 442:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1261
		{
		}
	case 443:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1262
		{
		}
	case 444:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1263
		{
		}
	case 445:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1264
		{
		}
	case 446:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1265
		{
		}
	case 447:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1266
		{
		}
	case 448:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1267
		{
		}
	case 449:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1268
		{
		}
	case 450:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1269
		{
		}
	case 451:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1270
		{
		}
	case 452:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1271
		{
		}
	case 453:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1272
		{
		}
	case 454:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1273
		{
		}
	case 455:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1274
		{
		}
	case 456:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1275
		{
		}
	case 457:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1276
		{
		}
	case 458:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1277
		{
		}
	case 459:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1278
		{
		}
	case 460:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1279
		{
		}
	case 461:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1280
		{
		}
	case 462:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1281
		{
		}
	case 463:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1282
		{
		}
	case 464:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1283
		{
		}
	case 465:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1284
		{
		}
	case 466:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1285
		{
		}
	case 467:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1286
		{
		}
	case 468:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1287
		{
		}
	case 469:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1288
		{
		}
	case 470:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1289
		{
		}
	case 471:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1293
		{
		}
	case 472:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1294
		{
		}
	case 473:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1295
		{
		}
	case 474:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1296
		{
		}
	case 475:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1300
		{
		}
	case 476:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1301
		{
		}
	case 477:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1302
		{
		}
	case 478:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1303
		{
		}
	case 479:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1304
		{
		}
	case 480:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1305
		{
		}
	case 481:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1306
		{
		}
	case 482:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1310
		{
		}
	case 483:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1311
		{
		}
	case 486:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1320
		{
		}
	case 487:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1321
		{
		}
	case 488:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1322
		{
		}
	case 489:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1323
		{
		}
	case 490:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1327
		{
		}
	case 491:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1328
		{
		}
	case 492:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1332
		{
		}
	case 493:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1333
		{
		}
	case 494:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1338
		{
		}
	case 495:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1343
		{
		}
	case 496:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1347
		{
		}
	case 497:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1351
		{
		}
	case 498:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1352
		{
		}
	case 499:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1353
		{
		}
	case 500:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1354
		{
		}
	case 501:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1358
		{
		}
	case 502:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1359
		{
		}
	case 503:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 504:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 505:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1368
		{
		}
	case 506:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1369
		{
		}
	case 507:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1373
		{
		}
	case 508:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1374
		{
		}
	case 509:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1378
		{
		}
	case 510:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1379
		{
		}
	case 511:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1380
		{
		}
	case 512:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1384
		{
		}
	case 513:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1385
		{
		}
	case 514:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1389
		{
		}
	case 515:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1390
		{
		}
	case 516:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1396
		{
			yyVAL.node = yyDollar[1].node
		}
	case 517:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1402
		{
		}
	case 518:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1403
		{
		}
	case 519:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1404
		{
		}
	case 520:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1408
		{
		}
	case 521:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1409
		{
		}
	case 522:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1410
		{
		}
	case 523:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1415
		{
		}
	case 524:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1416
		{
		}
	case 525:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1417
		{
		}
	case 526:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1421
		{
			yyVAL.node = nil
		}
	case 527:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1422
		{
			yyVAL.node = nil
		}
	case 528:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1423
		{
			yyVAL.node = yyDollar[1].node
		}
	case 529:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1429
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 530:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1439
		{
			yyVAL.node = nil
		}
	case 531:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1445
		{
		}
	case 532:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1446
		{
		}
	case 533:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1451
		{
		}
	case 534:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1452
		{
		}
	case 535:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1456
		{
		}
	case 536:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1457
		{
		}
	case 537:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1458
		{
		}
	case 538:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1462
		{
		}
	case 539:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1463
		{
		}
	case 540:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1467
		{
		}
	case 541:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1468
		{
		}
	case 544:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1478
		{
		}
	case 545:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1479
		{
		}
	case 546:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1479
		{
		}
	case 547:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1480
		{
		}
	case 548:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1485
		{
		}
	case 549:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1486
		{
		}
	case 550:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1490
		{
		}
	case 551:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1491
		{
		}
	case 552:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1492
		{
		}
	case 553:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1493
		{
		}
	case 554:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1494
		{
		}
	case 555:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1495
		{
		}
	case 556:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1496
		{
		}
	case 557:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1497
		{
		}
	case 558:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1501
		{
		}
	case 559:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1502
		{
		}
	case 560:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1503
		{
		}
	case 561:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1504
		{
		}
	case 562:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1510
		{
		}
	case 563:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1511
		{
		}
	case 564:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1511
		{
		}
	case 565:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1512
		{
		}
	case 566:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1513
		{
		}
	case 567:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1514
		{
		}
	case 568:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1515
		{
		}
	case 569:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1520
		{
		}
	case 570:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1521
		{
		}
	case 571:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1522
		{
		}
	case 572:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1527
		{
		}
	case 573:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1528
		{
		}
	case 574:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1529
		{
		}
	case 575:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1530
		{
		}
	case 576:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1531
		{
		}
	case 577:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1532
		{
		}
	case 578:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1533
		{
		}
	case 579:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1534
		{
		}
	case 580:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1538
		{
		}
	case 581:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1539
		{
		}
	case 582:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1539
		{
		}
	case 583:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1543
		{
		}
	case 584:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1544
		{
		}
	case 585:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1548
		{
		}
	case 586:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1549
		{
		}
	case 587:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1553
		{
		}
	case 588:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1557
		{
		}
	}
	goto yystack /* stack new state and value */
}
